Package org.flowable.cmmn.api.runtime

# Interface UserEventListenerInstanceQuery

All Superinterfaces:
  `Query<UserEventListenerInstanceQuery,UserEventListenerInstance>`

public interface UserEventListenerInstanceQuery extends Query<UserEventListenerInstanceQuery,UserEventListenerInstance>

Author:
  Dennis Federico

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserEventListenerInstanceQuery`
  `caseDefinitionId(String caseDefinitionId)`
  `UserEventListenerInstanceQuery`
  `caseInstanceId(String caseInstanceId)`
  `UserEventListenerInstanceQuery`
  `elementId(String elementId)`
  `UserEventListenerInstanceQuery`
  `id(String id)`
  `UserEventListenerInstanceQuery`
  `name(String name)`
  `UserEventListenerInstanceQuery`
  `orderByName()`
  `UserEventListenerInstanceQuery`
  `planItemDefinitionId(String planItemDefinitionId)`
  `UserEventListenerInstanceQuery`
  `stageInstanceId(String stageInstanceId)`
  `UserEventListenerInstanceQuery`
  `stateAvailable()`
  `UserEventListenerInstanceQuery`
  `stateSuspended()`
  `UserEventListenerInstanceQuery`
  `stateUnavailable()`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    UserEventListenerInstanceQuery id(String id)

  - ### caseInstanceId

    UserEventListenerInstanceQuery caseInstanceId(String caseInstanceId)

  - ### caseDefinitionId

    UserEventListenerInstanceQuery caseDefinitionId(String caseDefinitionId)

  - ### elementId

    UserEventListenerInstanceQuery elementId(String elementId)

  - ### planItemDefinitionId

    UserEventListenerInstanceQuery planItemDefinitionId(String planItemDefinitionId)

  - ### name

    UserEventListenerInstanceQuery name(String name)

  - ### stageInstanceId

    UserEventListenerInstanceQuery stageInstanceId(String stageInstanceId)

  - ### stateAvailable

    UserEventListenerInstanceQuery stateAvailable()

  - ### stateUnavailable

    UserEventListenerInstanceQuery stateUnavailable()

  - ### stateSuspended

    UserEventListenerInstanceQuery stateSuspended()

  - ### orderByName

    UserEventListenerInstanceQuery orderByName()